// Generating sound ...
Envelope envelope = new Envelope(
	1,  -2,1, 36,1, -27,1,
	1,128,1, 0,128, 0,128, -1,128 );
SoundEngine sound = new SoundEngine(
	8000, 7.0, 115, 389, 60,
	StaticWave.SINE_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.NOISE_GATE_FLAG );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  -2,1, 36,1, -27,1,
	1,128,1, 0,128, 0,128, -1,128 );
SoundEngine sound = new SoundEngine(
	8000, 7.0, 115, 389, 60,
	StaticWave.SQUARE_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.NOISE_GATE_FLAG );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  1,2, -2,2, -10,2,
	1,128,1, 0,128, 0,128, -20,128 );
SoundEngine sound = new SoundEngine(
	8000, 2.0, 108, 212, 15,
	StaticWave.RAMP_BACKWARD_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.HOLD_PITCH_MODULATION | SoundEngine.NOISE_GATE_FLAG );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  1,2, -2,2, -10,2,
	1,128,1, 0,128, 0,128, -20,128 );
SoundEngine sound = new SoundEngine(
	8000, 2.0, 108, 212, 15,
	StaticWave.RAMP_BACKWARD_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.HOLD_PITCH_MODULATION | SoundEngine.NOISE_GATE_FLAG );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  -7,5, -23,1, 16,2,
	1,128,1, 0,128, 0,128, -10,128 );
SoundEngine sound = new SoundEngine(
	8000, 5.0, 127, 837, 35,
	StaticWave.RAMP_FORWARD_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.HOLD_PITCH_MODULATION );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  3,1, -5,1, 15,1,
	1,32,4, 0,128, 0,128, -2,128 );
SoundEngine sound = new SoundEngine(
	8000, 5.0, 127, 464, 63,
	StaticWave.RAMP_FORWARD_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.HOLD_PITCH_MODULATION | SoundEngine.NOISE_GATE_FLAG );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  3,1, -5,1, 15,1,
	1,32,4, 0,128, 0,128, -2,128 );
SoundEngine sound = new SoundEngine(
	8000, 5.0, 127, 464, 63,
	StaticWave.RAMP_FORWARD_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.HOLD_PITCH_MODULATION | SoundEngine.NOISE_GATE_FLAG | SoundEngine.NOISE_MIX_GATE_FLAG );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  0,1, -1,1, -2,1,
	1,128,1, 0,128, 0,128, -14,128 );
SoundEngine sound = new SoundEngine(
	8000, 5.0, 126, 543, 20,
	StaticWave.RAMP_BACKWARD_WAVE, envelope );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  1,2, -3,1, -3,3,
	1,128,1, 0,128, 0,128, -14,128 );
SoundEngine sound = new SoundEngine(
	8000, 5.0, 126, 250, 20,
	StaticWave.RAMP_BACKWARD_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.HOLD_PITCH_MODULATION );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  -2,1, 5,1, -1,1,
	1,62,4, -1,10, 0,128, -8,128 );
SoundEngine sound = new SoundEngine(
	8000, 3.0, 90, 2000, 23,
	StaticWave.SQUARE_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.HOLD_PITCH_MODULATION | SoundEngine.FM_DELTA_RANDOM_FLAG );
sound.makeWave();
// ==========

// Generating sound ...
Envelope envelope = new Envelope(
	1,  10,1, 16,1, -5,1,
	1,128,1, 0,128, 0,128, -2,128 );
SoundEngine sound = new SoundEngine(
	8000, 5.0, 104, 359, 35,
	StaticWave.RAMP_FORWARD_WAVE, envelope );
sound.setFlags( 0x0 | SoundEngine.NOISE_GATE_FLAG | SoundEngine.FM_DELTA_RANDOM_FLAG );
sound.makeWave();
// ==========

